# Uses of Interface
org.eclipse.birt.chart.model.attribute.Fill

Packages that use Fill
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Fill in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Fill
Modifier and Type
Method
Description
`Fill`
GObjectFactory.`copyOf(Fill src)`
`Fill`
IGObjectFactory.`copyOf(Fill src)`
`Fill`
LegendEntryRenderingHints.`getFill()`
Methods in org.eclipse.birt.chart.computation with parameters of type Fill
Modifier and Type
Method
Description
`Fill`
GObjectFactory.`copyOf(Fill src)`
`Fill`
IGObjectFactory.`copyOf(Fill src)`
Constructors in org.eclipse.birt.chart.computation with parameters of type Fill
Modifier
Constructor
Description
``
`LegendEntryRenderingHints(Label la, Label valueLa, int dataIndex, Fill fill)`

## Uses of Fill in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Fill
Modifier and Type
Method
Description
`final Fill`
ArcRenderEvent.`getBackground()`
`final Fill`
AreaRenderEvent.`getBackground()`
`Fill`
OvalRenderEvent.`getBackground()`
`Fill`
Polygon3DRenderEvent.`getBackground()`
`Fill`
PolygonRenderEvent.`getBackground()`
`Fill`
PrimitiveRenderEvent.`getBackground()`
`Fill`
RectangleRenderEvent.`getBackground()`
Methods in org.eclipse.birt.chart.event with parameters of type Fill
Modifier and Type
Method
Description
`final void`
ArcRenderEvent.`setBackground(Fill ifBackground)`
Sets the backgound for this arc.
`final void`
AreaRenderEvent.`setBackground(Fill fill)`
Sets the background of this area.
`void`
OvalRenderEvent.`setBackground(Fill ifBackground)`
Sets the background attributes.
`void`
Polygon3DRenderEvent.`setBackground(Fill ifBackground)`
`void`
PolygonRenderEvent.`setBackground(Fill ifBackground)`
Sets the background fill attributes for the polygon
`void`
RectangleRenderEvent.`setBackground(Fill ifBackground)`
Sets the background fill associated with the rectangle.

## Uses of Fill in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Fill
Modifier and Type
Method
Description
`Fill`
ChartWithAxes.`getFloorFill()`
Returns the value of the 'Floor Fill' containment reference.
`Fill`
ChartWithAxes.`getWallFill()`
Returns the value of the 'Wall Fill' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type Fill
Modifier and Type
Method
Description
`void`
ChartWithAxes.`setFloorFill(Fill value)`
Sets the value of the '`Floor Fill`' containment reference.
`void`
ChartWithAxes.`setWallFill(Fill value)`
Sets the value of the '`Wall Fill`' containment reference.

## Uses of Fill in org.eclipse.birt.chart.model.attribute

Subinterfaces of Fill in org.eclipse.birt.chart.model.attribute
Modifier and Type
Interface
Description
`interface`
`ColorDefinition`
A representation of the model object 'Color Definition'.
`interface`
`EmbeddedImage`
A representation of the model object 'Embedded Image'.
`interface`
`Gradient`
A representation of the model object 'Gradient'.
`interface`
`Image`
A representation of the model object 'Image'.
`interface`
`MultipleFill`
A representation of the model object 'Multiple Fill'.
`interface`
`PatternImage`
A representation of the model object 'Pattern Image'.
Methods in org.eclipse.birt.chart.model.attribute that return Fill
Modifier and Type
Method
Description
`Fill`
Fill.`copyInstance()`
`Fill`
AttributeFactory.`createFill()`
Returns a new object of class 'Fill'.
`Fill`
Marker.`getFill()`
Returns the value of the 'Fill' containment reference.
Methods in org.eclipse.birt.chart.model.attribute that return types with arguments of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Fill>`
Palette.`getEntries()`
Returns the value of the 'Entries' containment reference list.
`org.eclipse.emf.common.util.EList<Fill>`
MultipleFill.`getFills()`
Returns the value of the 'Fills' containment reference list.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Fill
Modifier and Type
Method
Description
`void`
Marker.`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
Palette.`update(Fill f)`
This convenience method updates the content of a palette with a single color NOTE: Manually written

## Uses of Fill in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Fill
Modifier and Type
Class
Description
`class`
`ColorDefinitionImpl`
An implementation of the model object ' Color Definition'.
`class`
`EmbeddedImageImpl`
An implementation of the model object 'Embedded Image'.
`class`
`FillImpl`
An implementation of the model object ' Fill'.
`class`
`GradientImpl`
An implementation of the model object ' Gradient'.
`class`
`ImageImpl`
An implementation of the model object ' Image'.
`class`
`MultipleFillImpl`
An implementation of the model object 'Multiple Fill'.
`class`
`PatternImageImpl`
An implementation of the model object 'Pattern Image'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Fill
Modifier and Type
Method
Description
`Fill`
FillImpl.`copyInstance()`
A convenient method to get an instance copy.
`Fill`
AttributeFactoryImpl.`createFill()`
`Fill`
MarkerImpl.`getFill()`
Methods in org.eclipse.birt.chart.model.attribute.impl that return types with arguments of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Fill>`
PaletteImpl.`getEntries()`
`org.eclipse.emf.common.util.EList<Fill>`
MultipleFillImpl.`getFills()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
MarkerImpl.`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final Palette`
PaletteImpl.`create(Fill f)`
A convenience method provided to create a palette with a single color entry NOTE: Manually written
`void`
MarkerImpl.`setFill(Fill newFill)`
`static final void`
MarkerImpl.`setFillSimple(Marker marker, Fill fill)`
To set the fill without EMF notifying for accelerating graphic purpose.
`final void`
PaletteImpl.`update(Fill f)`

## Uses of Fill in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Fill
Modifier and Type
Method
Description
`Fill`
Label.`getBackground()`
Returns the value of the 'Background' containment reference.
`Fill`
Dial.`getFill()`
Returns the value of the 'Fill' containment reference.
`Fill`
MarkerRange.`getFill()`
Returns the value of the 'Fill' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type Fill
Modifier and Type
Method
Description
`void`
Label.`setBackground(Fill value)`
Sets the value of the '`Background`' containment reference.
`void`
Dial.`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
MarkerRange.`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.

## Uses of Fill in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Fill
Modifier and Type
Method
Description
`Fill`
LabelImpl.`getBackground()`
`Fill`
DialImpl.`getFill()`
`Fill`
MarkerRangeImpl.`getFill()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LabelImpl.`basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`createDefault(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`void`
LabelImpl.`setBackground(Fill newBackground)`
`void`
DialImpl.`setFill(Fill newFill)`
`void`
MarkerRangeImpl.`setFill(Fill newFill)`

## Uses of Fill in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Fill
Modifier and Type
Method
Description
`Fill`
ChartWithAxesImpl.`getFloorFill()`
`Fill`
ChartWithAxesImpl.`getWallFill()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartWithAxesImpl.`basicSetFloorFill(Fill newFloorFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
ChartWithAxesImpl.`basicSetWallFill(Fill newWallFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartWithAxesImpl.`setFloorFill(Fill newFloorFill)`
`void`
ChartWithAxesImpl.`setWallFill(Fill newWallFill)`

## Uses of Fill in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Fill
Modifier and Type
Method
Description
`Fill`
Block.`getBackground()`
Returns the value of the 'Background' containment reference.
`Fill`
ClientArea.`getBackground()`
Returns the value of the 'Background' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Fill
Modifier and Type
Method
Description
`void`
Block.`setBackground(Fill value)`
Sets the value of the '`Background`' containment reference.
`void`
ClientArea.`setBackground(Fill value)`
Sets the value of the '`Background`' containment reference.

## Uses of Fill in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Fill
Modifier and Type
Method
Description
`Fill`
BlockImpl.`getBackground()`
`Fill`
ClientAreaImpl.`getBackground()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BlockImpl.`basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
ClientAreaImpl.`basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BlockImpl.`setBackground(Fill newBackground)`
`void`
ClientAreaImpl.`setBackground(Fill newBackground)`

## Uses of Fill in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Fill
Modifier and Type
Method
Description
`Fill`
StockSeries.`getFill()`
Returns the value of the 'Fill' containment reference.
`Fill`
GanttSeries.`getOutlineFill()`
Returns the value of the 'Outline Fill' containment reference.
Methods in org.eclipse.birt.chart.model.type with parameters of type Fill
Modifier and Type
Method
Description
`void`
StockSeries.`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
GanttSeries.`setOutlineFill(Fill value)`
Sets the value of the '`Outline Fill`' containment reference.

## Uses of Fill in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Fill
Modifier and Type
Method
Description
`Fill`
StockSeriesImpl.`getFill()`
`Fill`
GanttSeriesImpl.`getOutlineFill()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Fill
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
StockSeriesImpl.`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GanttSeriesImpl.`basicSetOutlineFill(Fill newOutlineFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
StockSeriesImpl.`setFill(Fill newFill)`
`void`
GanttSeriesImpl.`setOutlineFill(Fill newOutlineFill)`

## Uses of Fill in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Fill
Modifier and Type
Method
Description
`void`
EmptyWithAxes.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
`void`
EmptyWithoutAxes.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
`void`
ISeriesRenderer.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.
`void`
BaseRenderer.`updateTranslucency(Fill fill, Series se)`
Updates the tranlucency of the fill according to series setting.
Constructors in org.eclipse.birt.chart.render with parameters of type Fill
Modifier
Constructor
Description
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.

## Uses of Fill in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Fill
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called after drawing each datapoint graphical representation or marker.
`void`
ChartEventHandlerAdapter.`beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called before drawing each datapoint graphical representation or marker.